用户

获取用户提及

GET /v1/users/{screen_name}/mentions reads 2 额度

其他账号提及该账号的帖子,最新在前,可选择限定时间范围。

查询参数

查询参数类型含义
countint 1–100 = 20请求的页大小;X 仅作参考
cursorstring来自上一页的 next_cursor
sinceint (unix s)Unix 秒数;只返回在此时刻或之后的帖子
untilint (unix s)Unix 秒数;只返回在此时刻之前的帖子

响应

该账号、实际使用的 query、提及它的帖子,以及下一页的游标(到底时为 null)。 逐字段说明: Tweet(读取).

状态: 200, 400, 404, 429, 502

请求
curl https://api.xsignalfeed.com/v1/users/nasa/mentions?count=20&since=1789355169 \
  -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 400
{
  "user": {
    "id": "11348282",
    "screen_name": "NASA"
  },
  "query": "@NASA since_time:1789355169",
  "tweets": [
    {
      "id": 2100419202985185543,
      "created_ms": 1789613936550,
      "user_id": 9000001,
      "user": "some_fan",
      "name": "Some Fan",
      "text": "@NASA …",
      "lang": "en",
      "reply_to": null,
      "reply_to_status_id": null,
      "reply_to_user_id": null,
      "conversation_id": "2100419202985185543",
      "is_rt": false,
      "rt_of": null,
      "is_quote": false,
      "quoted": null,
      "media": [],
      "media_items": [],
      "urls": [],
      "views": "20",
      "counts": {
        "reply": 0,
        "rt": 0,
        "like": 0,
        "quote": 0,
        "bookmark": 0
      }
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "DAADDAABCgABHSYwIvlXUQcKAAIdJiwgaJcw8AAIAAIAAAACCAADAAAAAAgABAAAAAAKAAUdJjHNpkA…"
}